% Collage Bild v 1.0 - Compare_N SCRIPT
%                      Show results with 7 Color Models and Distances  
% created by Andre Marcal, FCUP, 24 Apr. 2023 (andre.marcal@fc.up.pt)

% Base Image, any RGB image in standard format (e.g. jpg, png, tif, bmp)
BaseIM='Girasol.png';

% Number of Blocks (min. No along rows or columns)
N=15;

% Reference Image Set: 1- Lego; 2- MMs; 3- Tiles; 4- Guache, 5- Custom
RIS=1;  

% Number of Neighbors used for comparison. Possible values: 1,4,8 
NN=1; 

% Number of Sampling points for each blocks ( S x S points )
S=2; % S=0 to automatically select the largest possible value 

% Processing cycle
IBase=imread(BaseIM);
subplot(2,4,1), imshow(IBase), title ('Base Image')
Tit={'RGB Euclidean';'RGB City Block';'HSV Ad. City Block';'L*a*b* City Block';'L*a*b* Hybrid';'L*a*b* Euclidean';'CIEDE2000'};
for f=1:7
    display (['Processing case ', num2str(f), ' / 7'])
    [IM,D]=CollageBild_v10(BaseIM, N, RIS, f, NN, S, 0);
    subplot(2,4,f+1), imshow(IM), title (Tit{f})
end
