% Collage Bild v 1.0 - Compare_N SCRIPT
%                      Show results with 5 different values of N  
% created by Andre Marcal, FCUP, 24 Apr. 2023 (andre.marcal@fc.up.pt)

% Base Image, any RGB image in standard format (e.g. jpg, png, tif, bmp)
BaseIM='Girasol.png';

% Number of Blocks (min. No along rows or columns)
% Vector with 5 values of N
N=[8,10,12,15,20]; 

% Reference Image Set: 1- Lego; 2- MMs; 3- Tiles; 4- Gouache, 5- Custom
RIS=1;  

% Color Model and Distance:      1- RGB Euclidean      2- RGB City Block
%    3- HSV Adjusted City Block  4- L*a*b* City Block  5- L*a*b* Hybrid
CMD=5;                        %  6- L*a*b* Euclidean   7- CIED2000

% Number of Neighbors used for comparison. Possible values: 1,4,8 
NN=1; 

% Number of Sampling points for each blocks ( S x S points )
S=2; % S=0 to automatically select the largest possible value 

% Processing cycle
IBase=imread(BaseIM);
subplot(2,3,1), imshow(IBase), title ('Base Image')
for f=1:5
    display (['Processing case ', num2str(f), ' / 5'])
    [IM,D]=CollageBild_v10(BaseIM, N(f), RIS, CMD, NN, S, 0);
    subplot(2,3,f+1), imshow(IM), title (['N: ',num2str(N(f))])
end
